#include "ehs/io/socket/Operation.h"
#include "ehs/io/socket/CommsSystem.h"
#include "ehs/io/socket/Comms.h"
#include "ehs/io/socket/Endpoint.h"

namespace ehs
{
	Operation::Operation()
		: hashId(0)
	{
	}

	Operation::Operation(const Str_8& id)
		: id(id), hashId(id.Hash_64())
	{
	}

	Operation::Operation(const Operation& cmd)
		: id(cmd.id), hashId(cmd.hashId)
	{
	}

	Operation& Operation::operator=(const Operation& cmd)
	{
		if (this == &cmd)
			return *this;

		id = cmd.id;
		hashId = cmd.hashId;

		return *this;
	}

	void Operation::Process(Comms* comms, Endpoint* endpoint, CommsSystem* sys, Serializer<>& payload)
	{
	}

	Str_8 Operation::GetId() const
	{
		return id;
	}

	UInt_64 Operation::GetHashId() const
	{
		return hashId;
	}
}